
PRAGMA foreign_keys = off;
BEGIN TRANSACTION;
--3.0

-- DISPOSITIVO
ALTER TABLE Dispositivo RENAME TO sqlitestudio_temp_table;

CREATE TABLE Dispositivo (IdDispositivo INTEGER PRIMARY KEY NOT NULL, IdModello INTEGER NOT NULL, IdCanale INTEGER NOT NULL, Stato INTEGER NOT NULL DEFAULT (1), Descrizione TEXT NOT NULL, IndirizzoNodo INTEGER NOT NULL, V_Max INTEGER, V_NV INTEGER, A_Max INTEGER, A_NV INTEGER, W_Max INTEGER, W_NV INTEGER, KVA_Max INTEGER, KVA_NV INTEGER, KVAR_Max INTEGER, KVAR_NV INTEGER, IdModelloReale INTEGER, ContatoriEventi INTEGER, Allarme INTEGER, NumeroEventi INTEGER, NumeroEventiDaScaricare INTEGER, Log INTEGER NOT NULL DEFAULT 0, FormeOnda INTEGER NOT NULL DEFAULT (0), DatalogIntegrato INTEGER NOT NULL DEFAULT (0), NumeroRevisione INTEGER NOT NULL DEFAULT (-1));

INSERT INTO Dispositivo (IdDispositivo, IdModello, IdCanale, Stato, Descrizione, IndirizzoNodo, V_Max, V_NV, A_Max, A_NV, W_Max, W_NV, KVA_Max, KVA_NV, KVAR_Max, KVAR_NV, IdModelloReale, ContatoriEventi, Allarme, NumeroEventi, NumeroEventiDaScaricare, Log) SELECT IdDispositivo, IdModello, IdCanale, Stato, Descrizione, IndirizzoNodo, V_Max, V_NV, A_Max, A_NV, W_Max, W_NV, KVA_Max, KVA_NV, KVAR_Max, KVAR_NV, IdModelloReale, ContatoriEventi, Allarme, NumeroEventi, NumeroEventiDaScaricare, Log FROM sqlitestudio_temp_table;

DROP TABLE sqlitestudio_temp_table;

-- MENUMISURA
ALTER TABLE MenuMisura RENAME TO sqlitestudio_temp_table;

CREATE TABLE MenuMisura (IdMenuMisura smallint PRIMARY KEY, it TEXT NOT NULL, en TEXT NOT NULL, fr TEXT, pl TEXT, es TEXT, ru TEXT, vi TEXT, Psw INTEGER DEFAULT (0));

INSERT INTO MenuMisura (IdMenuMisura, it, en, fr, pl, es, ru, vi) SELECT IdMenuMisura, it, en, fr, pl, es, ru, vi FROM sqlitestudio_temp_table;

DROP TABLE sqlitestudio_temp_table;

-- MISURA
ALTER TABLE Misura RENAME TO sqlitestudio_temp_table;

CREATE TABLE Misura (IdModelloMisura integer PRIMARY KEY, IdFamiglia integer, CodiceModello text, IdModello integer, IdMenuMisura smallint, IndicatoreDefault text, IdMisura integer NOT NULL, UM text, Log bit NOT NULL, Tipo text, Indicatori text, Scalabile bit NOT NULL, TipoArmonica text, IndiceArmonica smallint NOT NULL, FaseArmonica smallint, IdIndirizzo integer NOT NULL, IdMisuraMin integer, IdMisuraMax integer, IdMisuraAvg integer, IndirizzoModbus text, Lunghezza smallint NOT NULL, Formato text, Accesso text, Scala integer NOT NULL, IdMisuraEnumeratore integer, Precisione smallint, Mask text, IdDizionario text NOT NULL, Classe text NOT NULL, it text NOT NULL, en text NOT NULL, fr text, pl text, es text, ru text, vi text, IDDizionarioBreve text NOT NULL, ClasseBreve text NOT NULL, itBreve text NOT NULL, enBreve text NOT NULL, frBreve text, plBreve text, esBreve text, ruBreve text, viBreve text, FSIndicatore INTEGER);

INSERT INTO Misura (IdModelloMisura, IdFamiglia, CodiceModello, IdModello, IdMenuMisura, IndicatoreDefault, IdMisura, UM, Log, Tipo, Indicatori, Scalabile, TipoArmonica, IndiceArmonica, FaseArmonica, IdIndirizzo, IdMisuraMin, IdMisuraMax, IdMisuraAvg, IndirizzoModbus, Lunghezza, Formato, Accesso, Scala, IdMisuraEnumeratore, Precisione, Mask, IdDizionario, Classe, it, en, fr, pl, es, ru, vi, IDDizionarioBreve, ClasseBreve, itBreve, enBreve, frBreve, plBreve, esBreve, ruBreve, viBreve) SELECT IdModelloMisura, IdFamiglia, CodiceModello, IdModello, IdMenuMisura, IndicatoreDefault, IdMisura, UM, Log, Tipo, Indicatori, Scalabile, TipoArmonica, IndiceArmonica, FaseArmonica, IdIndirizzo, IdMisuraMin, IdMisuraMax, IdMisuraAvg, IndirizzoModbus, Lunghezza, Formato, Accesso, Scala, IdMisuraEnumeratore, Precisione, Mask, IdDizionario, Classe, it, en, fr, pl, es, ru, vi, IDDizionarioBreve, ClasseBreve, itBreve, enBreve, frBreve, plBreve, esBreve, ruBreve, viBreve FROM sqlitestudio_temp_table;

DROP TABLE sqlitestudio_temp_table;

-- TABLE DispositivoFileProgetti
CREATE TABLE DispositivoFileProgetti (IdDispositivo INTEGER NOT NULL, IdItemProgetto INTEGER NOT NULL, NomeFile TEXT, PRIMARY KEY (IdDispositivo, IdItemProgetto));

COMMIT TRANSACTION;
PRAGMA foreign_keys = on;